/*

  Hall Magnetic 3144EUA-S Sensor Module

  Parts required:
  - Arduino Board
  - Hall Magnetic 3144EUA-S Sensor Module
  - LED (Any Color)
  - 220 Ohm Resistor
  - Magnet

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 22 Jun 2019
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

*/

// Initialize all variables
int ledPin = 8;
int digitalReadValue;
int digitalReadPin = 7;

void setup() {
  pinMode (ledPin, OUTPUT);                         // Set ledPin as OUTPUT
  pinMode (digitalReadPin, INPUT);                  // Set digitalReadPin as INPUT
}

void loop() {

  digitalReadValue = digitalRead(digitalReadPin);   // Read value from digitalReadPin and store in digitalReadValue

  if (digitalReadValue == LOW) {                    // If digitalReadValue = LOW Do
    digitalWrite(ledPin, HIGH);                     // Turn ON LED
  }
  else {
    digitalWrite(ledPin, LOW);                      // Turn OFF LED
  }
}
